/* $Id$ */
/**************************************************************************
 *
 *  FILE            blockimg.c
 *  MODULE OF       
 *
 *  DESCRIPTION     
 *
 *  WRITTEN BY      Sverre H. Huseby <sverrehu@ifi.uio.no>
 *
 **************************************************************************/

#include <stdlib.h>

#include "blockimg.h"

/**************************************************************************
 *                                                                        *
 *                    P U B L I C    F U N C T I O N S                    *
 *                                                                        *
 **************************************************************************/

void
blkCalcMeasure(Block *block, unsigned char *data)
{
#if 1
    register unsigned char *p1, *p2;
    register int           diff;
    int                    q, maxdiff = 0;

    p1 = block->data;
    p2 = data;
    for (q = BLOCK_WIDTH * BLOCK_HEIGHT; q; q--) {
	diff = *p1++ - *p2++;
	if (diff < 0)
	    diff = -diff;
	if (diff > maxdiff)
	    maxdiff = diff;
    }
    block->measure = maxdiff;
#else
    register unsigned char *p1, *p2;
    register int           diff;
    int                    q, totdiff = 0;

    p1 = block->data;
    p2 = data;
    for (q = BLOCK_WIDTH * BLOCK_HEIGHT; q; q--) {
	diff = *p1++ - *p2++;
	if (diff < 0)
	    diff = -diff;
	totdiff += diff;
    }
    block->measure = totdiff / (BLOCK_WIDTH * BLOCK_HEIGHT);
#endif
}
