/* $Id$ */
#ifndef BLOCKIMG_H
#define BLOCKIMG_H

#define GRAY_BITS       4
#define NUM_GRAY        (1 << GRAY_BITS)
/* block size must be dividable by two */
#define BLOCK_WIDTH     8
#define BLOCK_HEIGHT    8

/* the image sizes must be multipla of block sizes */
#define IMAGE_WIDTH   160
#define IMAGE_HEIGHT  120

#define HOR_BLOCKS (IMAGE_WIDTH / BLOCK_WIDTH)
#define VER_BLOCKS (IMAGE_HEIGHT / BLOCK_HEIGHT)

#define MEASURE_MAX_DELTA  5
#define RESEND_FREQUENCY   50

typedef struct {
    int measure;
    int measureLastSend;
    int lastImageNumber;
    unsigned char data[BLOCK_WIDTH * BLOCK_HEIGHT];
} Block;

typedef struct {
    Block block[HOR_BLOCKS][VER_BLOCKS];
} BlockImage;

void blkCalcMeasure(Block *block, unsigned char *data);

#endif
