/* $Id$ */
#ifndef NETWORK_H
#define NETWORK_H

#include "blockimg.h"

#define DEFAULT_CAMERA_PORT 8194

#define MAX_PACKET 1400

/* packet types */
enum {
    /* tcp server */
    PACK_HAVE_FEED = 30,  /* already have video feed */
    PACK_WELCOME_PORT,    /* call accepted, port number included */
    PACK_START_GRAB,      /* start grabbing and sending frames */
    PACK_STOP_GRAB,       /* stop grabbing and sending frames */
    /* tcp client */
    PACK_QUIT = 40,       /* end of call */
    /* udp */
    PACK_BLOCK = 20,      /* a block of an image */
};

void netSetRemoteSystem(const char *system);

void netInit(void);
void netFinish(void);

void netSendImage(BlockImage *blockImage);

#endif
